Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Thread_Hook.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`

Include dependency graph for Thread_Hook.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Thread_Hook
| This class makes it possible to provide user-defined "start" hooks that are called before the thread entry point function is invoked. More...

## Detailed Description

Id
  Thread_Hook.h,v 4.10 2005/10/28 23:55:10 ossama Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>